BitMagic Library

BitMagic C++ Library For more information please visit: http://bitmagic.io. More...

Collaboration diagram for BitMagic Library:

## Topics

| bvector<> container
| The Main bvector<> Group bvector<> template: front end of the BitMagic library.
| Task parallel programming
| Task parallel programming compatible with different execution models and runtimes.
| Sparse and compressed vectors
| Sparse vector for integer types using bit transposition transform.
| bit-sliced (bitwise transposition) succinct sparse vectors
| Sparse vector for integer types using bit transposition transform.

## Data Structures

class | bm::basic_bmatrix< BV >
| Basic dense bit-matrix class. More...
class | bm::base_sparse_vector< Val, BV, MAX_SIZE >
| Base class for bit-transposed(bit-sliced) sparse vector construction. More...

## Functions

int | bm::simd_version ()
| return SIMD optimization used for building BitMagic

## Detailed Description

BitMagic C++ Library For more information please visit: http://bitmagic.io.

## Function Documentation

## simd_version()

int bm::simd_version | ( |  | ) |

inline

return SIMD optimization used for building BitMagic

Returns
  SIMD code

Definition at line 75 of file bmsimd.h.

References simd_avx2, simd_avx512, simd_neon, simd_none, simd_sse2, simd_sse42, and simd_wasm128.